* {
  box-sizing: border-box;
  padding: 0px;
  margin: 0px;
  color:aliceblue;
}

html {
  background-color: rgb(24, 18, 51);
  width: 100%;
  height: 100%;
}

body {
   height: 100%;
   display: flex;
   flex-direction: column;
   justify-content; space-between;
}

/* HEADER CSS */
header, footer {
  background-color: rgba(10, 10, 10, 0.541);
  height: 5em;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  align-content: flex-start;
  padding: 0.5em 2em;
}

#site-name {
  color: rgb(243, 243, 212);
  text-shadow: 2px 2px 2px black;
  max-height: inherit;
  font: 3em "PT Sans Narrow", sans-serif;
  font-weight: 700;
  
}

#site-name > a {text-decoration: none;}
#site-name > a:visited {color: aliceblue;}

nav {
  display: flex;
  align-items: center;
  font-family: "PT Sans Narrow", sans-serif;
  height: inherit;
}

/* css for username - username2 is for visitor*/
#username, #username2  {
  margin-left: 1em;
  font-weight: bolder;
  font-size: 1.5em;
}

.user_links {
  margin-left: 1em;
  height: inherit;
  display: flex;
  align-content: center;
  align-items: center;
  padding-bottom: 0.5px;
  font-size: 1.5em;
}

.user_links > a{
  text-decoration: none;
  color: aliceblue;
}

.user_links:hover {
  border-bottom: 1px solid aliceblue;
  padding-bottom: 0px;
}

.green_button {
  background-color: rgb(3, 165, 57);
  margin-left: 1em;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.2em 0.6em;
  font-size: 1.45em;
}

.green_button:hover, .explore_button:hover, .submit:hover {
  background-color: rgb(3, 194, 67);
}

.green_button > a {
  font-family: "PT Sans Narrow", sans-serif;
  color: aliceblue;
  text-decoration: none;
}

/*END OF HEADER CSS*/


#main_container {
  height: auto;
  width: 100%;
  margin: auto;
  display: flex;
  flex-direction: column; /*DELETE*/
}

/* CSS FOR MAIN PAGE CONTENT */
#home {
  width: inherit;
  display: flex;
  margin: auto;
}

.explore_button {
  background-color: rgb(3, 165, 57);
  margin-top: 0.75em;
  padding: 0em 2em;
  font-weight: bold;
}

.explore_button {
  text-decoration: none;
}

#people_shopping {
  height: 75vh;
  width: 50vw;
  margin: 2em;
}

/*FOR HOMEPAGE TEXT & CREATORS PAGE*/
.centered {
  margin: auto;/*2em 0em;*/
  display: flex;
  flex-direction: column;
  flex-wrap: no-wrap;
  align-items: center;
  font-family: "PT Sans Narrow", sans-serif;
  font-size: 60px;
  color: aliceblue;
  text-align: center;
}

/* LOGIN AND REGISTRATION FORM */
.register-form {
    margin: auto;
}

.register-form > form {
    display: flex;
    flex-direction: column;
    font-family: "PT Sans Narrow", sans-serif;
    font-size: 20px;
}

.register-form > form > fieldset {
    padding: 2em;
    margin: auto;
}

.register-form > form > fieldset> input {
    height: 2em;
    color: black;
    font-weight: bold;
}

.register-form > form label, .register-form > form input{
    display: block;
}

form legend {
    background-color: orange;
    padding: 0.5em;
    font-weight: bold;
}

.submit {
    background-color: green;
    padding: 0.5em;
    margin: 0.5em 0em;
    font-size: 20px;
    border: none;
}


/* LOGOUT */
.logout {
    display: flex;
    flex-direction: column;
    font-family: "PT Sans Narrow", sans-serif;
    font-size: 20px;
    margin: auto;
    text-align: center;
    padding: 3em;
    border: 5px solid aliceblue;
}



.logout > p {
    font-size: 2em;
}


/* SETTINGS */
.reset{
    display: flex;
    flex-direction: column;
    font-family: "PT Sans Narrow", sans-serif;
    font-size: 30px;
    margin: auto;
}

.reset > input {
    height: 3em;
    width: 35em;
    color: black;
    font-weight: bold;
    margin: 0.5em;
}
#reset_error{
color: red;
}

.update{
text-align: center;

}
#profile_pic{

width:500px;
height:500px;
padding-bottom:2em;
padding-right:2em;
}

#change_pic{
display:flex;
margin:auto;
}
#id_user_pic{
color:white;
}
#pic_submit{
margin-top:3.5em;
color:black;}

/* FOR ERROR MESSAGE */
.messages-error, .messages-success {
    background: red;
    color: white;
    height: 1.5em;
    font-family: "PT Sans Narrow", sans-serif;
    font-size: 1.5em;
    display: flex;
    align-content: center;
    justify-content:center;
}

.messages-success {background: rgb(3, 165, 57);}

/* FOR STYLING OF USER_LIST.HTML*/
#user_list {
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;
    font-family: "PT Sans Narrow", sans-serif;
    font-size: 3em;
}

#user_list > h3 {

}

#registerBtn {
    color: black;
}

.user_row {
    display: flex;
    justify-content: space-between;
}

.groups {
    display: flex;
    flex-direction: column;
}

td, th {
    text-align: left;
    padding: 0.5em;
}

li {
    list-style-type: none;
}


.item-table {
    font-family: "PT Sans Narrow", sans-serif;
    width: 100%;
    font-size: 1.5em;
}

/* COLORS FOR THE ACTIONS BUTTONS IN USER LIST*/
.editBtn {
    background-color: #006eff;
    padding: 10px;
}

.modifyBtn {
    background-color: #04db21;
    padding: 10px;
}

.flagBtn {
    background-color: #fcba03;
    padding: 10px;
}

.delBtn {
    background-color: #db0428;
    padding: 10px;
}

.warnBtn {
    background-color: #ff6a00;
    padding: 10px;
}

#item_list > h1 {
    font-size: 3em;
    font-family: "PT Sans Narrow", sans-serif;
}

/**/
#id_itempic {
    color: aliceblue;
}

.item {
    font-size: 2em;
}
#likeBtn {
    background-color: blue;
    padding: 10px;
}
#comments {
    color: black;
    font-family:sans-serif;
    font-size:0.7em;
}
#submit {
    color: black;
    font-size:1.2em;
}

/*Copied from internet*/
.rate {
    float: left;
    height: 46px;
    padding: 0 10px;
}
.rate:not(:checked) > input {
    position:absolute;
    top:-9999px;
}
.rate:not(:checked) > label {
    float:right;
    width:1em;
    overflow:hidden;
    white-space:nowrap;
    cursor:pointer;
    font-size:30px;
    color:#ccc;
}
.rate:not(:checked) > label:before {
    content: '★ ';
}
.rate > input:checked ~ label {
    color: #ffc700;
}
.rate:not(:checked) > label:hover,
.rate:not(:checked) > label:hover ~ label {
    color: #deb217;
}
.rate > input:checked + label:hover,
.rate > input:checked + label:hover ~ label,
.rate > input:checked ~ label:hover,
.rate > input:checked ~ label:hover ~ label,
.rate > label:hover ~ input:checked ~ label {
    color: #c59b08;
}


/*CSS FOR CANCEL BUTTON IN DELETE VIEW*/
.cancelBtn {
    background-color: #db0428;
    padding: 0.5em;
    margin: 0.5em 0em;
    font-size: 20px;
    border: none;
    text-decoration: none;
    text-align: center;
}

.cancelBtn:hover {
    background-color: #ff5454;
}

